
Eina_Slice _efl_canvas_image_efl_gfx_buffer_buffer_managed_get(Eo *obj, void *pd, int plane);


Eina_Bool _efl_canvas_image_efl_gfx_buffer_buffer_managed_set(Eo *obj, void *pd, const Eina_Slice *slice, Eina_Size2D size, int stride, Efl_Gfx_Colorspace cspace, int plane);


Eina_Bool _efl_canvas_image_efl_gfx_buffer_buffer_copy_set(Eo *obj, void *pd, const Eina_Slice *slice, Eina_Size2D size, int stride, Efl_Gfx_Colorspace cspace, int plane);


Eina_Size2D _efl_canvas_image_efl_gfx_buffer_buffer_size_get(const Eo *obj, void *pd);


Eina_Rw_Slice _efl_canvas_image_efl_gfx_buffer_buffer_map(Eo *obj, void *pd, Efl_Gfx_Buffer_Access_Mode mode, const Eina_Rect *region, Efl_Gfx_Colorspace cspace, int plane, int *stride);


Eina_Bool _efl_canvas_image_efl_gfx_buffer_buffer_unmap(Eo *obj, void *pd, Eina_Rw_Slice slice);


Eina_Bool _efl_canvas_image_efl_file_loaded_get(const Eo *obj, void *pd);


const Eina_File *_efl_canvas_image_efl_file_mmap_get(const Eo *obj, void *pd);


Eina_Error _efl_canvas_image_efl_file_load(Eo *obj, void *pd);


void _efl_canvas_image_efl_file_unload(Eo *obj, void *pd);


Eina_Bool _efl_canvas_image_efl_gfx_frame_controller_animated_get(const Eo *obj, void *pd);


Eina_Bool _efl_canvas_image_efl_gfx_frame_controller_frame_set(Eo *obj, void *pd, int frame_index);


int _efl_canvas_image_efl_gfx_frame_controller_frame_get(const Eo *obj, void *pd);


int _efl_canvas_image_efl_gfx_frame_controller_frame_count_get(const Eo *obj, void *pd);


Efl_Gfx_Frame_Controller_Loop_Hint _efl_canvas_image_efl_gfx_frame_controller_loop_type_get(const Eo *obj, void *pd);


int _efl_canvas_image_efl_gfx_frame_controller_loop_count_get(const Eo *obj, void *pd);


double _efl_canvas_image_efl_gfx_frame_controller_frame_duration_get(const Eo *obj, void *pd, int start_frame, int frame_num);


Eina_Bool _efl_canvas_image_efl_gfx_frame_controller_sector_set(Eo *obj, void *pd, const char *name, int startframe, int endframe);


Eina_Bool _efl_canvas_image_efl_gfx_frame_controller_sector_get(const Eo *obj, void *pd, const char *name, int *startframe, int *endframe);


void _efl_canvas_image_efl_gfx_image_load_controller_load_async_start(Eo *obj, void *pd);


void _efl_canvas_image_efl_gfx_image_load_controller_load_async_cancel(Eo *obj, void *pd);


void _efl_canvas_image_efl_gfx_image_load_controller_load_dpi_set(Eo *obj, void *pd, double dpi);


double _efl_canvas_image_efl_gfx_image_load_controller_load_dpi_get(const Eo *obj, void *pd);


void _efl_canvas_image_efl_gfx_image_load_controller_load_size_set(Eo *obj, void *pd, Eina_Size2D size);


Eina_Size2D _efl_canvas_image_efl_gfx_image_load_controller_load_size_get(const Eo *obj, void *pd);


void _efl_canvas_image_efl_gfx_image_load_controller_load_orientation_set(Eo *obj, void *pd, Eina_Bool enable);


Eina_Bool _efl_canvas_image_efl_gfx_image_load_controller_load_orientation_get(const Eo *obj, void *pd);


void _efl_canvas_image_efl_gfx_image_load_controller_load_scale_down_set(Eo *obj, void *pd, int div);


int _efl_canvas_image_efl_gfx_image_load_controller_load_scale_down_get(const Eo *obj, void *pd);


void _efl_canvas_image_efl_gfx_image_load_controller_load_skip_header_set(Eo *obj, void *pd, Eina_Bool skip);


Eina_Bool _efl_canvas_image_efl_gfx_image_load_controller_load_skip_header_get(const Eo *obj, void *pd);


void _efl_canvas_image_efl_gfx_image_load_controller_load_region_set(Eo *obj, void *pd, Eina_Rect region);


Eina_Rect _efl_canvas_image_efl_gfx_image_load_controller_load_region_get(const Eo *obj, void *pd);


Eina_Bool _efl_canvas_image_efl_gfx_image_load_controller_load_region_support_get(const Eo *obj, void *pd);


static Eina_Bool
_efl_canvas_image_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_CANVAS_IMAGE_EXTRA_OPS
#define EFL_CANVAS_IMAGE_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_gfx_buffer_managed_get, _efl_canvas_image_efl_gfx_buffer_buffer_managed_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_buffer_managed_set, _efl_canvas_image_efl_gfx_buffer_buffer_managed_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_buffer_copy_set, _efl_canvas_image_efl_gfx_buffer_buffer_copy_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_buffer_size_get, _efl_canvas_image_efl_gfx_buffer_buffer_size_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_buffer_map, _efl_canvas_image_efl_gfx_buffer_buffer_map),
      EFL_OBJECT_OP_FUNC(efl_gfx_buffer_unmap, _efl_canvas_image_efl_gfx_buffer_buffer_unmap),
      EFL_OBJECT_OP_FUNC(efl_file_loaded_get, _efl_canvas_image_efl_file_loaded_get),
      EFL_OBJECT_OP_FUNC(efl_file_mmap_get, _efl_canvas_image_efl_file_mmap_get),
      EFL_OBJECT_OP_FUNC(efl_file_load, _efl_canvas_image_efl_file_load),
      EFL_OBJECT_OP_FUNC(efl_file_unload, _efl_canvas_image_efl_file_unload),
      EFL_OBJECT_OP_FUNC(efl_gfx_frame_controller_animated_get, _efl_canvas_image_efl_gfx_frame_controller_animated_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_frame_controller_frame_set, _efl_canvas_image_efl_gfx_frame_controller_frame_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_frame_controller_frame_get, _efl_canvas_image_efl_gfx_frame_controller_frame_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_frame_controller_frame_count_get, _efl_canvas_image_efl_gfx_frame_controller_frame_count_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_frame_controller_loop_type_get, _efl_canvas_image_efl_gfx_frame_controller_loop_type_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_frame_controller_loop_count_get, _efl_canvas_image_efl_gfx_frame_controller_loop_count_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_frame_controller_frame_duration_get, _efl_canvas_image_efl_gfx_frame_controller_frame_duration_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_frame_controller_sector_set, _efl_canvas_image_efl_gfx_frame_controller_sector_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_frame_controller_sector_get, _efl_canvas_image_efl_gfx_frame_controller_sector_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_load_controller_load_async_start, _efl_canvas_image_efl_gfx_image_load_controller_load_async_start),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_load_controller_load_async_cancel, _efl_canvas_image_efl_gfx_image_load_controller_load_async_cancel),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_load_controller_load_dpi_set, _efl_canvas_image_efl_gfx_image_load_controller_load_dpi_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_load_controller_load_dpi_get, _efl_canvas_image_efl_gfx_image_load_controller_load_dpi_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_load_controller_load_size_set, _efl_canvas_image_efl_gfx_image_load_controller_load_size_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_load_controller_load_size_get, _efl_canvas_image_efl_gfx_image_load_controller_load_size_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_load_controller_load_orientation_set, _efl_canvas_image_efl_gfx_image_load_controller_load_orientation_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_load_controller_load_orientation_get, _efl_canvas_image_efl_gfx_image_load_controller_load_orientation_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_load_controller_load_scale_down_set, _efl_canvas_image_efl_gfx_image_load_controller_load_scale_down_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_load_controller_load_scale_down_get, _efl_canvas_image_efl_gfx_image_load_controller_load_scale_down_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_load_controller_load_skip_header_set, _efl_canvas_image_efl_gfx_image_load_controller_load_skip_header_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_load_controller_load_skip_header_get, _efl_canvas_image_efl_gfx_image_load_controller_load_skip_header_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_load_controller_load_region_set, _efl_canvas_image_efl_gfx_image_load_controller_load_region_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_load_controller_load_region_get, _efl_canvas_image_efl_gfx_image_load_controller_load_region_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_load_controller_load_region_support_get, _efl_canvas_image_efl_gfx_image_load_controller_load_region_support_get),
      EFL_CANVAS_IMAGE_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_canvas_image_class_desc = {
   EO_VERSION,
   "Efl.Canvas.Image",
   EFL_CLASS_TYPE_REGULAR,
   0,
   _efl_canvas_image_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_canvas_image_class_get, &_efl_canvas_image_class_desc, EFL_CANVAS_IMAGE_INTERNAL_CLASS, EFL_GFX_IMAGE_LOAD_CONTROLLER_INTERFACE, EFL_GFX_FRAME_CONTROLLER_INTERFACE, EFL_FILE_MIXIN, NULL);
